syntax = "proto3";
option go_package = ".;pb";

//装备属性词条
message EquipmentAttributeEntry {
  int32 Id = 1;        //属性词条主键id 唯一
  int32 libraryid = 2; //属性词条id 非唯一
  string AttrName = 3; //属性名
  int32 Lv = 4;        //属性等级
  int32 Value = 5;     //属性值
  int32 BaseValue = 6; //基础属性
  int32 EnchValue =7;  //附魔属性
}

//装备技能词条 特殊装备/武器or饰品
message EquipmentSkillEntry {
  int32 Id = 1;        //属性词条主键id 唯一
  int32 libraryid = 2; //属性词条id 非唯一
  string AttrName = 3; //属性名
  int32 SkillId = 4;   //技能id
  int32 Lv = 5;        //属性等级
}

//武器数据
message DB_Equipment {
  string Id = 1;  //@go_tags(`bson:"_id"`)    装备id
  string cId = 2; //@go_tags(`bson:"cId"`)    配置Id
  string uId = 3; //@go_tags(`bson:"uid"`)    所属玩家Id
  string heroId = 4; //@go_tags(`bson:"heroId"`)  挂在的英雄卡片id 未装备 填 ''
  int32 lv = 5;          //@go_tags(`bson:"lv"`) 装备强化等级
  int32 keepFailNum = 6; //@go_tags(`bson:"keepFailNum"`)    连续强化失败次数
  EquipmentAttributeEntry mainEntry =
      7; //@go_tags(`bson:"mainEntry"`)   装备主词条
  repeated EquipmentAttributeEntry adverbEntry =
      8; //@go_tags(`bson:"adverbEntry"`) 装备副词条
  uint32 overlayNum = 9;           //@go_tags(`bson:"overlayNum"`) 叠加数量
  bool isInitialState = 10; //@go_tags(`bson:"isInitialState"`) 是否初始状态
  bool islock = 11;         //@go_tags(`bson:"islock"`) 是否锁
  repeated EquipmentSkillEntry adverbskill =
      12; //@go_tags(`bson:"adverbskill"`) 装备副技能
}